org.apache.lucene.index

## Enum IndexWriterConfig.OpenMode

- java.lang.Object
- - java.lang.Enum<IndexWriterConfig.OpenMode>
  - - org.apache.lucene.index.IndexWriterConfig.OpenMode

- All Implemented Interfaces:
    Serializable, Comparable<IndexWriterConfig.OpenMode>
  Enclosing class:
    IndexWriterConfig

      public static enum IndexWriterConfig.OpenMode
      extends Enum<IndexWriterConfig.OpenMode>

  Specifies the open mode for `IndexWriter`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPEND` Opens an existing index.
    `CREATE` Creates a new index or overwrites an existing one.
    `CREATE_OR_APPEND` Creates a new index if one does not exist, otherwise it opens the index and documents will be appended.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexWriterConfig.OpenMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexWriterConfig.OpenMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final IndexWriterConfig.OpenMode CREATE

      Creates a new index or overwrites an existing one.

    - #### APPEND

          public static final IndexWriterConfig.OpenMode APPEND

      Opens an existing index.

    - #### CREATE_OR_APPEND

          public static final IndexWriterConfig.OpenMode CREATE_OR_APPEND

      Creates a new index if one does not exist, otherwise it opens the index and documents will be appended.

  - ### Method Detail

    - #### values

          public static IndexWriterConfig.OpenMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexWriterConfig.OpenMode c : IndexWriterConfig.OpenMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexWriterConfig.OpenMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.